-- DECODIFICADOR 3 A 8
-- LÓGICA NEGADA

-- BEAS

LIBRARY IEEE;
USE IEEE.STD_LOGIC_1164.ALL;

ENTITY deco38 IS 
	PORT(NUM: IN INTEGER RANGE 0 TO 7;
	     SAL: OUT STD_LOGIC_VECTOR(0 TO 7));
END ENTITY;

ARCHITECTURE BEAS OF deco38 IS 
BEGIN

	WITH NUM SELECT
		SAL <= "01111111" WHEN 0,
		       "10111111" WHEN 1,
				 "11011111" WHEN 2,
				 "11101111" WHEN 3,
				 "11110111" WHEN 4,
				 "11111011" WHEN 5,
				 "11111101" WHEN 6,
				 "11111110" WHEN 7;

END BEAS;